SimpleSearchRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class SimpleSearchRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.SimpleSearchRecord

All Implemented Interfaces:
  Serializable

    public class SimpleSearchRecord

extends BaseRecord

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`SimpleSearchRecord()` create a simple search record

Method Summary
`HashMap<String,String>` | `getCollections()` get collections map
`String` | `getTerm()` get the term map
`void` | `setCollections(HashMap<String,String> collections)` set the collections map
`void` | `setTerm(String term)` set the term map

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSearchRecord

    public SimpleSearchRecord()

  create a simple search record

Method Detail

### getCollections

    public HashMap<String,String> getCollections()

  get collections map

  Returns:
    the collections map

### setCollections

    public void setCollections(HashMap<String,String> collections)

  set the collections map

  Parameters:
    `collections` - the collections map

### getTerm

    public String getTerm()

  get the term map

  Returns:
    the term map

### setTerm

    public void setTerm(String term)

  set the term map

  Parameters:
    `term` - the term map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.